# Generated by rust2rpm 21
# missing dependencies
%bcond_with check
%global debug_package %{nil}

%global crate indexmap

Name:           rust-%{crate}
Version:        1.9.2
Release:        %mkrel 2
Summary:        Hash table with consistent order and fast iteration
Group:          Development/Other

# Upstream license specification: Apache-2.0/MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/indexmap
Source:         %{crates_source}
Patch0:         indexmap-1.9.2-fix-metadata.patch
Patch1:         0001-Upgrade-to-hashbrown-0.13-MSRV-1.61.patch
BuildRequires:  rust-packaging >= 21

BuildRequires:  crate(autocfg/default) >= 1.0.0
BuildRequires:  crate(hashbrown/raw) >= 0.12.0
%if %{with check}
BuildRequires:  crate(fnv/default) >= 1.0.0
BuildRequires:  crate(fxhash/default) >= 0.2.1
BuildRequires:  crate(itertools/default) >= 0.10.0
BuildRequires:  crate(lazy_static/default) >= 1.3.0
BuildRequires:  crate(quickcheck) >= 1.0.0
BuildRequires:  crate(rand/default) >= 0.8.0
BuildRequires:  crate(rand/small_rng) >= 0.8.0
BuildRequires:  crate(serde_derive/default) >= 1.0.0
%endif

%global _description %{expand:
Hash table with consistent order and fast iteration.
The indexmap is a hash table where the iteration order of the key-value pairs
is independent of the hash values of the keys. It has the usual hash table
functionality, it preserves insertion order except after removals, and it
allows lookup of its elements by either hash table key or numerical index. A
corresponding hash set type is also provided.
This crate was initially published under the name ordermap, but it was renamed
to indexmap.}

%description %{_description}

%package        devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-1-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+serde-1-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-1" feature of the "%{crate}" crate.

%files       -n %{name}+serde-1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_debug-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+test_debug-devel %{_description}

This package contains library source intended for building other packages which
use the "test_debug" feature of the "%{crate}" crate.

%files       -n %{name}+test_debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_low_transition_point-devel
Summary:        %{summary}
Group:          Development/Other
BuildArch:      noarch

%description -n %{name}+test_low_transition_point-devel %{_description}

This package contains library source intended for building other packages which
use the "test_low_transition_point" feature of the "%{crate}" crate.

%files       -n %{name}+test_low_transition_point-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sat Feb 11 2023 wally <wally> 1.9.2-2.mga9
+ Revision: 1940347
- backport upstream patch to upgrade to hashbrown 0.13

* Sun Dec 18 2022 guillomovitch <guillomovitch> 1.9.2-1.mga9
+ Revision: 1925003
- new version 1.9.2

* Tue Nov 01 2022 guillomovitch <guillomovitch> 1.9.1-1.mga9
+ Revision: 1900862
- new version 1.9.1
- drop rayon subpackage

* Fri Jun 24 2022 papoteur <papoteur> 1.7.0-3.mga9
+ Revision: 1866026
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 1.7.0-2.mga9
+ Revision: 1823990
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 guillomovitch <guillomovitch> 1.7.0-1.mga9
+ Revision: 1786871
- imported package rust-indexmap


* Mon Feb 28 2022 Guillaume Rousse <guillomovitch@gmail.com> - 1.7.0-1
- Initial package
